package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
  描述:base_room_info的实体类
 */
public class RoomInfo {
	private String id;
	private String name;
	private Integer number;
	private String type;
	private String useType;
	private String useTypeN;
	private Integer sortNo;
	private String parentId;
	private String parentName;
	private Boolean hasChildren;
	private List<RoomInfo> children;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取名称
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置名称
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取编号
	 */
	public Integer getNumber(){
		return number;
	}
	
	/**
	 *设置编号
	 */
	public void setNumber(Integer number){
		this.number = number;
	}
		/**
	 *获取类型:园区/楼栋/房号
	 */
	public String getType(){
		return type;
	}
	
	/**
	 *设置类型:园区/楼栋/房号
	 */
	public void setType(String type){
		this.type = type;
	}

	/**
	 *获取用电类型
	 */
	public String getUseType(){
		return useType;
	}

	/**
	 *设置用电类型
	 */
	public void setUseType(String useType){
		this.useType = useType;
	}

	/**
	 *获取用电类型翻译
	 */
	public String getUseTypeN(){
		return useTypeN;
	}

	/**
	 *设置用电类型翻译
	 */
	public void setUseTypeN(String useTypeN){
		this.useTypeN = useTypeN;
	}
		/**
	 *获取排序号
	 */
	public Integer getSortNo(){
		return sortNo;
	}
	
	/**
	 *设置排序号
	 */
	public void setSortNo(Integer sortNo){
		this.sortNo = sortNo;
	}
		/**
	 *获取
	 */
	public String getParentId(){
		return parentId;
	}
	
	/**
	 *设置
	 */
	public void setParentId(String parentId){
		this.parentId = parentId;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}

	/**
	 *获取
	 */
	public Boolean getHasChildren(){
		return hasChildren;
	}

	/**
	 *设置
	 */
	public void setHasChildren(Boolean hasChildren){
		this.hasChildren = hasChildren;
	}


	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public List<RoomInfo> getChildren() {
		return children;
	}

	public void setChildren(List<RoomInfo> children) {
		this.children = children;
	}
}